SchemaMatchingSQLWrapperFactory
Keywords: uk.ac.ic.doc.automed.wrappers.SchemaMatchingSQLWrapperFactory,SchemaMatchingSQLWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class SchemaMatchingSQLWrapperFactory

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
            |
            +--uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
                  |
                  +--uk.ac.ic.doc.automed.wrappers.SchemaMatchingSQLWrapperFactory

public class SchemaMatchingSQLWrapperFactory
extends SQLWrapperFactory

An AutoMed high wrapper factory for creating `SQLWrapper` instances. This wrapper should be used to wrap databases that will be later on matched.

Author:
  Nikos Rizopoulos (nr600@doc.ic.ac.uk)

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`AUTOMED_SQL_MODEL_COLUMN, AUTOMED_SQL_MODEL_FOREIGN_KEY, AUTOMED_SQL_MODEL_INDEX, AUTOMED_SQL_MODEL_PRIMARY_KEY, AUTOMED_SQL_MODEL_TABLE, COLUMN_POSITION, DATA_SIZE, DATA_TYPE, FOREIGN_KEY, INDEX, NONSCALAR_COMPOUND_KEY, NULL_CONSTRAINT, PRIMARY_KEY, SCHEMA_AWARE, SCHEMA_MERGING, SQL_MODEL_FOREIGN_KEY, SQL_MODEL_INDEX, SQL_MODEL_PRIMARY_KEY, SQL_MODEL_TABLE`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`SchemaMatchingSQLWrapperFactory()` Constructor.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`createAutoMedModel, createAutoMedSchema, createModel, getAutoMedModel, getColumnDetailsSchemeLength, getDefaultSchemaName, getFeatureNames, getModel, getSQLTableReference, getTableDetailsSchemeLength, populateSchema, setFeatures`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaMatchingSQLWrapperFactory

    public SchemaMatchingSQLWrapperFactory()

  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD